﻿#pragma strict

public var speed:float = 3.0;
public var jumpPower:float = 6.0;

private var direction : Vector3 = Vector3.zero;
private var playerController : CharacterController;
private var animator : Animator;

function Start () {
	playerController = GetComponent(CharacterController);
	animator = GetComponentInChildren(Animator);
	//prev = transform.position;
}

function Update () {

	if(playerController.isGrounded){
	//var inputx : float = Input.GetAxis("Horizontal");// * Time.deltaTime * speed;
	var inputz : float = Input.GetAxis("Vertical");// * Time.deltaTime * speed;
	var inputDirection : Vector3 = Vector3(0, 0, inputz);
	direction = Vector3.zero;
	}
	
	if(inputDirection.magnitude > 0.1 && inputz >= 0){
		//transform.LookAt(transform.position + inputDirection);
		direction += transform.forward * speed;
		animator.SetBool("DoWalk", true);
	} else {
		animator.SetBool("DoWalk", false);
	}	
	
	if(Input.GetButton("Jump")){
		direction.y += jumpPower;
	}
	
	direction.y += Physics.gravity.y * Time.deltaTime;
	playerController.Move(direction * Time.deltaTime);
//transform.Translate(x, 0, z);
}